# TrendsResource

Canonical page: https://docs.ovok.com/java-sdk/reference/trends-resource

```java
public final class TrendsResource
```

Reads vital trend graphs. Get it from [`SlimResource.trends()`](/java-sdk/reference/slim-resource#trends).

## Methods [#methods]

### graphs [#graphs]

```java
public JsonNode graphs(
        Map<String, ?> query,
        RequestOptions options) throws IOException, InterruptedException
```

Gets aggregated trend graphs (`GET /v1/slim/trends/graphs`).

**Parameters:**

- `query`: query parameters; `null` values are skipped
- `options`: per-request options, such as the timeout

**Returns:** the response body

**Throws:**

- `IOException`: if the request cannot be sent or the response cannot be read
- `InterruptedException`: if the thread is interrupted while waiting for the response

### realtime [#realtime]

```java
public JsonNode realtime(
        Map<String, ?> query,
        RequestOptions options) throws IOException, InterruptedException
```

Gets raw realtime trend graphs (`GET /v1/slim/trends/realtime`).

**Parameters:**

- `query`: query parameters; `null` values are skipped
- `options`: per-request options, such as the timeout

**Returns:** the response body

**Throws:**

- `IOException`: if the request cannot be sent or the response cannot be read
- `InterruptedException`: if the thread is interrupted while waiting for the response
